GDB (xrefs)

Public Attributes | List of all members
thread_fsm_ops Struct Reference

`#include "thread-fsm.h"`

## Public Attributes
void(* | dtor )(struct thread_fsm *self)
void(* | clean_up )(struct thread_fsm *self, struct thread_info *thread)
int(* | should_stop )(struct thread_fsm *self, struct thread_info *thread)
struct return_value_info *(* | return_value )(struct thread_fsm *self)
enum async_reply_reason(* | async_reply_reason )(struct thread_fsm *self)
int(* | should_notify_stop )(struct thread_fsm *self)

## Detailed Description

Definition at line 50 of file thread-fsm.h.

## Member Data Documentation

## ◆ async_reply_reason

enum async_reply_reason(* thread_fsm_ops::async_reply_reason) (struct thread_fsm *self)

Definition at line 77 of file thread-fsm.h.

## ◆ clean_up

void(* thread_fsm_ops::clean_up) (struct thread_fsm *self, struct thread_info *thread)

Definition at line 60 of file thread-fsm.h.

## ◆ dtor

void(* thread_fsm_ops::dtor) (struct thread_fsm *self)

Definition at line 55 of file thread-fsm.h.

## ◆ return_value

struct return_value_info*(* thread_fsm_ops::return_value) (struct thread_fsm *self)

Definition at line 73 of file thread-fsm.h.

## ◆ should_notify_stop

int(* thread_fsm_ops::should_notify_stop) (struct thread_fsm *self)

Definition at line 80 of file thread-fsm.h.

## ◆ should_stop

int(* thread_fsm_ops::should_stop) (struct thread_fsm *self, struct thread_info *thread)

Definition at line 69 of file thread-fsm.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/thread-fsm.h